# BMA Server Framework: core::Service Class Reference

core::Service Class Reference

`#include <Service.h>`

Inheritance diagram for core::Service:
[legend]
Collaboration diagram for core::Service:
[legend]

## Public Member Functions

| Service ()
virtual void | init (TCPServerSocket *server)
void | removeFromSessionList (Session *session)
virtual void | sessionErrorHandler (std::string errorString, Session *session)

## Public Attributes

std::vector< Session * > | sessions
TCPServerSocket * | server
CommandList | commands
Public Attributes inherited from core::Object
std::string | name
std::string | tag

## Detailed Description

Service

The Service object is instantiated as a single object upon construction of the parent TCPServerSocket and is provided as a parameter whenever a new Session object is created. It provides server level services to Command handlers.

## Constructor & Destructor Documentation

## Service()

core::Service::Service | ( |  | ) |

Use this constructor to create a new Service object.

Parameters

  server | A reference to the parent server creating the object.

## Member Data Documentation

## commands

CommandList core::Service::commands

The commands object is a CommandList and is used to store Command objects to be parsed and run as data comes into the session.

## server

TCPServerSocket* core::Service::server

The server that is associated to this Service object. This provides access to the server values and methods through the Service object which behaves as an interface.

## sessions

std::vector<Session *> core::Service::sessions

The list of sessions that are currently open and being maintained by this object.

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/Service.h
- /home/barant/Development/BMA/server_core/ServerCore/Service.cpp